GNU/Linux Administration - Bug #477

Error Connecting to Puppet Master Server
11/18/2014 10:46 AM - Daniel Curtis

Status: Closed Start date: 11/18/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Estimated time: 0.50 hour
Target version: Spent time: 0.50 hour
Description

| encountered the following error while connecting to a recently upgraded puppet master server:

Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Could not autoload
puppet/indirector/facts/active_record: Unable to activate activerecord-3.2.19, because tzinfo-1.2.2 conflicts with tzinfo (~>
0.3.29), activesupport-4.1.6 conflicts with activesupport (= 3.2.19)

Warning: Not using cache on failed catalog

Error: Could not retrieve catalog; skipping run

e The solution was simple, | just ran:

gem install activerecord -v '3.2.19'

History

#1 - 11/18/2014 10:46 AM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 12/12/2014 10:47 AM - Daniel Curtis

- Status changed from Resolved to Closed
